summaryrefslogtreecommitdiffstats
path: root/abs/core/fbsplash/fbsplash-basic.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2013-02-19 21:10:18 (GMT)
committerJames Meyer <james.meyer@operamail.com>2013-02-19 21:10:18 (GMT)
commit2648e999d277eac5c3d331a3609bcc73fafbea71 (patch)
tree40951fb8e7fdbe28a0baa324ae615055203f1e2e /abs/core/fbsplash/fbsplash-basic.sh
parentc759b5e0c4aa6fc37412b4dee2cf9ad993fd376d (diff)
parent7e6f7ca174e1af67178dc5293a312a4a733eb095 (diff)
downloadlinhes_pkgbuild-2648e999d277eac5c3d331a3609bcc73fafbea71.zip
linhes_pkgbuild-2648e999d277eac5c3d331a3609bcc73fafbea71.tar.gz
linhes_pkgbuild-2648e999d277eac5c3d331a3609bcc73fafbea71.tar.bz2
Merge branch 'testing'
# By James Meyer (1091) and others # Via James Meyer (5) and others * testing: (1148 commits) LinHES-config: during install don't kill off lirc. This keeps the remote active all the way to the finish Change version numbers to 8.0 to match the release number. LinHES-conifg LinHES-system mythdb-initial runit-scripts supplemental-web LinHES-conifig: mv_install.py for the last partition don't go all the way to the end. Gotta leave room for gpt tables. xf86-video-ati: xorg ati driver. LinHES-config: timezip.py add syncing up of parental lvl passwords and starting level with MBE. LinHES-system: correct the logic for breaking out of the wmctrl loop. As written it would break out of the inner loop..but not the 60 iteration loop. e16_theme_settings: remove slide-in prop for new windows. For whatever reason this was preventing mplayer from being positioned correctly for appletrailers. LinHES-config, mythinstall: change case of hd_pvr and serial to all lower refs #902 zilog-firmware: firmware for TX support of the hdpvr and pvr-150 In general I can't recommend anybody using these transmitters but including the firmware just in case someone really wants to linhes-udev-rules: added hdprv_lirc rule. All of these lirc rules are limited to exactly one device. If more then one device is present then only the last device in init will get the symlink runit-scripts: fix logging for igdeamon, add support to remote init script so that the blaster is always the first device in the chain. added support specificly for hd_pvr LinHES-system: add lh_system_restore and lh_system_backup. These scripts are called from the mythmenu. refs #900 iguanair: rebuild with python 2.7 LinHES-system: msg_daemon.py fix init and nasty bug related to timeout. In a nutshell timeout wouldn't work unless a msg without a timeout was called first. linhes-udev-rules: add rules for mce,streamzap,serial lirc devices. mythinstall: recompile for matching libs mythtv: latest .25-fixes and change mythbackup/restore call lh_system_$op to replace mythbackup/mythrestore. mythbackup no longer works correctly with the new windowmanager linhes-scripts: myth2mp3, myth2x264, myth2xvid: use mythutil to get cutlist LinHES-config, supplimental-web: Fix proxy numbering for Ceton infiniTV linhes-system: add additional stuff to the system backup and also introduced an exclude file. The exclude/include files are locate in /home/mythtv/backup_config/ ...
Diffstat (limited to 'abs/core/fbsplash/fbsplash-basic.sh')
-rw-r--r--abs/core/fbsplash/fbsplash-basic.sh196
1 files changed, 0 insertions, 196 deletions
diff --git a/abs/core/fbsplash/fbsplash-basic.sh b/abs/core/fbsplash/fbsplash-basic.sh
deleted file mode 100644
index 4403b86..0000000
--- a/abs/core/fbsplash/fbsplash-basic.sh
+++ /dev/null
@@ -1,196 +0,0 @@
-
-# /etc/rc.d/functions.d/fbsplash-basic.sh #
-
-# Basic Fbsplash script for Arch Linux initscripts #
-# #
-# Author: Kurt J. Bosch <kjb-temp-2009 at alpenjodel.de> #
-# Based on the work of Greg Helton <gt at fallendusk.org> #
-# Thomas Baechler <thomas at archlinux.org> #
-# and others #
-# #
-# Distributed under the terms of the GNU General Public License (GPL) #
-
-[[ $PREVLEVEL && $RUNLEVEL ]] || return 0
-
-# Do nothing if advanced script is installed
-[[ -r /etc/rc.d/functions.d/fbsplash-extras.sh ]] && return
-
-# Only do this where needed
-# Since we use BASH, all important functions and variables are exported
-case ${0#/etc/rc.} in sysinit | multi | shutdown )
- # splash-functions.sh will run splash_setup which needs /proc
- # code line copied from /etc/rc.sysinit
- /bin/mountpoint -q /proc || /bin/mount -n -t proc proc /proc -o nosuid,noexec,nodev
- export SPLASH_PUSH_MESSAGES SPLASH_VERBOSE_ON_ERRORS
- . /sbin/splash-functions.sh # /etc/conf.d/splash is also sourced by this
- unset options opt i # eliminate splash_setup non local vars ## FIX ME ##
- SPLASH_STEPS=3 # sysinit steps
- SPLASH_STEPS_DONE=0
-esac
-
-# Verbose mode is handled by fbcondecor kernel patch and daemon script
-[[ $SPLASH_MODE_REQ = silent ]] || return 0
-
-# Override - Don't try to use /usr/bin/basename
-splash_comm_send() {
- [[ $( /bin/pidof -o %PPID $spl_daemon ) ]] && echo "$@" >$spl_fifo &
-}
-
-case $0 in /etc/rc.sysinit )
- # Prevent splash destruction
- CONSOLEFONT=""
- # Continue to use a splash daamon started in initcpio
- if /bin/mountpoint -q /run/.splash-cache; then
- /bin/mount --move /run/.splash-cache $spl_cachedir || return
- splash_comm_send set message "$SPLASH_BOOT_MESSAGE"
- # Mount a tmpfs
- else
- ( splash_cache_prep ) || return
- fi
- add_hook sysinit_udevsettled splash_sysinit_udevsettled
- add_hook sysinit_postfsck splash_sysinit_postfsck
- add_hook sysinit_postfsckloop splash_sysinit_postfsck
- add_hook sysinit_premount splash_sysinit_premount
- add_hook sysinit_end splash_sysinit_end
- splash_sysinit_udevsettled() {
- splash_begin
- splash_progress_init
- splash_progress
- }
- splash_sysinit_premount() {
- splash_progress
- }
- splash_sysinit_postfsck() { # fsck failure emergency exit
- (( fsckret > 1 && fsckret != 32 )) && chvt 1
- }
- splash_sysinit_end() {
- splash_progress
- }
-;; /etc/rc.multi )
- add_hook multi_start splash_multi_start
- add_hook multi_end splash_multi_end
- splash_multi_start() {
- SPLASH_STEPS_DONE=$SPLASH_STEPS
- splash_progress_init
- }
- start_daemon() {
- [[ $1 = $SPLASH_XSERVICE ]] && SPLASH_EXIT_TYPE=staysilent splash_stop
- /etc/rc.d/$1 start
- splash_progress
- }
- start_daemon_bkgd() {
- [[ $1 = $SPLASH_XSERVICE ]] && SPLASH_EXIT_TYPE=staysilent splash_stop
- stat_bkgd "Starting $1"
- ( SPLASH_PUSH_MESSAGES="no" SPLASH_VERBOSE_ON_ERRORS="no" \
- /etc/rc.d/$1 start ) &>/dev/null &
- }
- splash_multi_end() {
- if [[ $PREVLEVEL = N ]]; then
- if ! in_array "$SPLASH_XSERVICE" "${DAEMONS[@]}"; then
- if [[ $RUNLEVEL = 5 ]]; then
- SPLASH_EXIT_TYPE=staysilent splash_stop
- else
- splash_stop
- [[ $( $spl_bindir/fgconsole ) = $SPLASH_TTY ]] && chvt 1
- fi
- fi
- # Now do setfont
- set_consolefont
- # Umount the tmpfs
- splash_cache_cleanup
- fi
- }
-;; /etc/rc.shutdown )
- ( splash_cache_prep ) || return
- # Not using XSERVICE here to avoid missing errors - X should chvt back to SPLASH_TTY
- add_hook shutdown_start splash_shutdown_start
- add_hook shutdown_prekillall splash_shutdown_prekillall
- add_hook shutdown_postkillall splash_shutdown_postkillall
- add_hook shutdown_poweroff splash_shutdown_poweroff
- splash_shutdown_start() {
- splash_begin
- }
- splash_shutdown_prekillall() {
- splash_comm_send progress $(( 65535*1/3 )); splash_comm_send paint
- [[ -r $spl_pidfile ]] && add_omit_pids $( <$spl_pidfile )
- }
- splash_shutdown_postkillall() {
- splash_comm_send progress $(( 65535*2/3 )); splash_comm_send paint
- }
- splash_shutdown_poweroff() {
- SPLASH_EXIT_TYPE=staysilent splash_stop
- }
-esac
-
-splash_progress_init() {
- for daemon in "${DAEMONS[@]}"; do
- case $daemon in $SPLASH_XSERVICE | @$SPLASH_XSERVICE ) break
- ;; \!* |@* ) continue
- esac
- (( SPLASH_STEPS++ ))
- done
-}
-
-splash_progress() {
- splash_comm_send progress $(( 65535*++SPLASH_STEPS_DONE/SPLASH_STEPS ))
- splash_comm_send paint
-}
-
-# Start the splash daemon - using upstream function
-splash_begin() {
- if ! [[ $( /bin/pidof -o %PPID $spl_daemon ) ]]; then
- stat_busy "Starting Fbsplash daemon"
- if [ -x /etc/splash/$SPLASH_THEME/scripts/rc_init-pre ]; then
- /etc/splash/$SPLASH_THEME/scripts/rc_init-pre ${0#/etc/rc.d} $RUNLEVEL
- fi &&
- splash_start &&
- stat_done || stat_fail
- fi
-}
-
-# Stop the splash daemon - if any
-splash_stop() {
- if [[ $( /bin/pidof -o %PPID $spl_daemon ) ]]; then
- SPLASH_PUSH_MESSAGES="no" stat_busy "Stopping Fbsplash daemon"
- splash_comm_send progress 65535; splash_comm_send paint; /bin/sleep .1
- splash_comm_send exit $SPLASH_EXIT_TYPE
- # Wait for painting/fadeout
- local -i i=0
- while [[ i++ -lt 100 && $( /bin/pidof -o %PPID $spl_daemon ) ]]; do
- /bin/sleep .1
- done
- stat_done
- fi
-}
-
-stat_busy() {
- printf "${C_OTHER}${PREFIX_REG} ${C_MAIN}${1}${C_CLEAR} "
- printf "${SAVE_POSITION}"
- deltext
- printf " ${C_OTHER}[${C_BUSY}BUSY${C_OTHER}]${C_CLEAR} "
- SPLASH_BUSY_MSG=$1
- if [[ $SPLASH_PUSH_MESSAGES = yes ]]; then
- splash_comm_send set message "${1}"
- splash_comm_send paint
- fi
-}
-
-stat_fail() {
- deltext
- printf " ${C_OTHER}[${C_FAIL}FAIL${C_OTHER}]${C_CLEAR} \n"
- local event=stop_failed; [[ $PREVLEVEL = N ]] && event=start_failed
- # Provide a general failure status event and write to msglog textbox
- splash_comm_send update_svc fbsplash-dummy svc_${event}
- splash_comm_send log "Error $SPLASH_BUSY_MSG"
- splash_comm_send paint
- # Save for daemon restart ## FIX ME ##
- if /bin/mountpoint -q $spl_cachedir; then
- : >|$spl_cachedir/${event}-fbsplash-dummy
- fi
- # Upstream way of error handling
- if [[ $SPLASH_VERBOSE_ON_ERRORS = yes ]]; then
- chvt 1
- fi
-}
-
-# EOF #